kplot.mcoa {ade4} | R Documentation

## Multiple Graphs for a Multiple Co-inertia Analysis

### Description

performs high level plots of a Multiple Co-inertia Analysis, using an object of class `mcoa`.

### Usage

    ## S3 method for class 'mcoa'
    kplot(object, xax = 1, yax = 2, which.tab = 1:nrow(object$cov2),
        mfrow = NULL, option = c("points", "axis", "columns"),
        clab = 1, cpoint = 2, csub = 2, possub = "bottomright",...)

### Arguments

`object` | an object of class `mcoa`
`xax, yax` | the numbers of the x-axis and the y-axis
`which.tab` | a numeric vector containing the numbers of the tables to analyse
`mfrow` | a vector of the form 'c(nr,nc)', otherwise computed by as special own function `n2mfrow`

`option`

a string of characters for the drawing option

"points"

  plot of the projected scattergram onto the co-inertia axes

"axis"

  projections of inertia axes onto the co-inertia axes.

"columns"

  projections of variables onto the synthetic variables planes.

`clab` | a character size for the labels
`cpoint` | a character size for plotting the points, used with `par("cex")`*cpoint. If zero, no points are drawn.
`csub` | a character size for the sub-titles, used with `par("cex")*csub`
`possub` | a string of characters indicating the sub-title position ("topleft", "topright", "bottomleft", "bottomright")
`...` | further arguments passed to or from other methods

### Author(s)

Daniel Chessel

### Examples

    data(friday87)
    w1 <- data.frame(scale(friday87$fau, scal = FALSE))
    w2 <- ktab.data.frame(w1, friday87$fau.blo, tabnames = friday87$tab.names)
    mcoa1 <- mcoa(w2, "lambda1", scan = FALSE)
    kplot(mcoa1, option = "axis")
    kplot(mcoa1)
    kplot(mcoa1, option = "columns")

[Package ade4 version 1.7-13 Index]